module WebFrontendBinect
    class Payment
        include NoBrainer::Document
        include NoBrainer::Document::Timestamps

        field :user_id,                  :type => String,                                   :index => true
        field :session_id,               :type => String,                                   :index => true
        field :is_payment_confirmed,     :type => NoBrainer::Boolean, :default => false
        field :referenced_document_ids,  :type => Array, :default => []
        field :payone_user_id,           :type => String, :default => nil
        field :payone_txid,              :type => String, :default => nil
        field :email_address,            :type => String
        field :selected_payment_method,  :type => String, :default => ""

        def referenced_documents
            docs = []

            referenced_document_ids.each do |doc_id|
                doc = Nukleus::Document.where(id: doc_id).first
                next if doc.nil?
                docs.push doc
            end

            docs
        end

        # Returns price in Euro
        def price_before_tax
            price_after_tax / (1 + taxes)
        end

        # Returns price in Euro
        def price_after_tax
            price = 0.0
            referenced_document_ids.each do |doc_id|
                doc = Nukleus::Document.where(id: doc_id).first
                next if doc.nil?
                price += doc.price.to_f
            end
            price
        end

        def taxes
            0.19
        end

    end
end
