require "web_frontend_binect/dependencies"

module WebFrontendBinect
    class Engine < ::Rails::Engine
        isolate_namespace WebFrontendBinect

        config.generators do |g|
            g.test_framework :rspec, :fixture => false
            g.fixture_replacement :factory_girl, :dir => 'spec/factories'
            g.assets false
            g.helper false
        end

        config.i18n.default_locale = :de

        # We are decorating other classes in order to add authentication to it.
        initializer :set_decorator_paths, :before => :load_environment_hook do |app|
            ActiveSupportDecorators.debug = true
            ActiveSupportDecorators.paths << File.join(config.root, 'app/**')
        end

    end
end
